package com.chy.borrow.service;

import com.chy.borrow.entity.BorrowApplyZjl0754;
import com.baomidou.mybatisplus.extension.service.IService;

import java.sql.Timestamp;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 沈晔浩
 * @since 2022-03-25
 */
public interface BorrowApplyZjl0754Service extends IService<BorrowApplyZjl0754> {

    String getList(Map map);
    String getInfoById(BorrowApplyZjl0754 borrowApplyZjl0754);
    //借阅量（zjl0754）
    String getCountListzj();
    //年月日占比
    String getApplyTimeCountList(Integer start,Integer num);
    //时间间隔
    String getApplyTimeByPeriod(Timestamp start, Timestamp end);
}
